ICC-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ICC4cPwmSdk.Device.IEccDeviceEeprom Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.IEccDeviceEeprom:

## Public Member Functions
void | SetBytes (int index, byte[] inputBytes)
| Sets EEPROM bytes of the product.
byte[] | GetBytes (int index, int length)
| Returns EEPROM bytes of the product.
int | GetEepromVersion ()
| Returns EEPROM version.
int | GetEepromSubVersion ()
| Returns EEPROM subversion.
int | GetPartConfiguration ()
| Returns part configuration value.
int | GetPartConfigurationVersion ()
| Returns part configuration version value.
float | GetMaxPositiveCurrent ()
| Returns max positive current.
float | GetMaxNegativeCurrent ()
| Returns max negative current.
int | GetOqcResult ()
| Returns OQC result of the device.
uint | GetProductionTimeStamp ()
| Returns production time stamp of the device.
void | LockDeviceEepromWriting ()
| Locks device EEPROM writing.
void | UnlockDeviceEepromWriting ()
| Unlocks device EEPROM writing.
void | ReparseDeviceEeprom ()
| Reparse device EEPROM.
int | GetDeviceEepromSize ()
| Returns EEPROM size of the device.

## Member Function Documentation

## ◆ GetBytes()

byte[] ICC4cPwmSdk.Device.IEccDeviceEeprom.GetBytes | ( | int | index,
|  | int | length )

Returns EEPROM bytes of the product.

Parameters

  index | Index of the start
  length | Amount of Get bytes

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetDeviceEepromSize()

int ICC4cPwmSdk.Device.IEccDeviceEeprom.GetDeviceEepromSize | ( |  | ) |

Returns EEPROM size of the device.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetEepromSubVersion()

int ICC4cPwmSdk.Device.IEccDeviceEeprom.GetEepromSubVersion | ( |  | ) |

Returns EEPROM subversion.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetEepromVersion()

int ICC4cPwmSdk.Device.IEccDeviceEeprom.GetEepromVersion | ( |  | ) |

Returns EEPROM version.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetMaxNegativeCurrent()

float ICC4cPwmSdk.Device.IEccDeviceEeprom.GetMaxNegativeCurrent | ( |  | ) |

Returns max negative current.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetMaxPositiveCurrent()

float ICC4cPwmSdk.Device.IEccDeviceEeprom.GetMaxPositiveCurrent | ( |  | ) |

Returns max positive current.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetOqcResult()

int ICC4cPwmSdk.Device.IEccDeviceEeprom.GetOqcResult | ( |  | ) |

Returns OQC result of the device.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetPartConfiguration()

int ICC4cPwmSdk.Device.IEccDeviceEeprom.GetPartConfiguration | ( |  | ) |

Returns part configuration value.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetPartConfigurationVersion()

int ICC4cPwmSdk.Device.IEccDeviceEeprom.GetPartConfigurationVersion | ( |  | ) |

Returns part configuration version value.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetProductionTimeStamp()

uint ICC4cPwmSdk.Device.IEccDeviceEeprom.GetProductionTimeStamp | ( |  | ) |

Returns production time stamp of the device.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ LockDeviceEepromWriting()

void ICC4cPwmSdk.Device.IEccDeviceEeprom.LockDeviceEepromWriting | ( |  | ) |

Locks device EEPROM writing.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ ReparseDeviceEeprom()

void ICC4cPwmSdk.Device.IEccDeviceEeprom.ReparseDeviceEeprom | ( |  | ) |

Reparse device EEPROM.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetBytes()

void ICC4cPwmSdk.Device.IEccDeviceEeprom.SetBytes | ( | int | index,
|  | byte[] | inputBytes )

Sets EEPROM bytes of the product.

Parameters

  index | Index of the start
  inputBytes | Bytes to be set
  channel |

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ UnlockDeviceEepromWriting()

void ICC4cPwmSdk.Device.IEccDeviceEeprom.UnlockDeviceEepromWriting | ( |  | ) |

Unlocks device EEPROM writing.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

The documentation for this interface was generated from the following file:

- source/Ecc1cSdkDeviceController.cs